gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gnome.CanvasItem Pixbuf image canvas item

A canvas item for drawing pixbuf images.

- Constructor
  2.24.0.0
  To be added
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  an object of type
  Creates a new CanvasPixbuf from .
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.24.0.0
  GLib.Property("anchor")
  Gtk.AnchorType Anchor (handle) position within the pixbuf, defaults to (top left hand corner). The anchor is the point of reference for positioning the image. Anchor (handle) position within the pixbuf
- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  GLib.Property("height")
  System.Double Pixbuf height. The height of this item
- Property
  2.24.0.0
  GLib.Property("height_in_pixels")
  System.Boolean The unit used by the property. The unit used by the property.
- Property
  2.24.0.0
  GLib.Property("height_set")
  System.Boolean Whether or not the should be used Whether or not the should be used
- Property
  2.24.0.0
  GLib.Property("pixbuf")
  Gdk.Pixbuf The pixbuf image to draw. The pixbuf image
- Property
  2.24.0.0
  GLib.Property("width")
  System.Double Pixbuf width. The width of the pixbuf
- Property
  2.24.0.0
  GLib.Property("width_in_pixels")
  System.Boolean The unit used by the property The unit used by the property
- Property
  2.24.0.0
  GLib.Property("width_set")
  System.Boolean Whether or not the should be used Whether or not the should be used
- Property
  2.24.0.0
  GLib.Property("x")
  System.Double The X coordinate of the position to place the pixbuf the X coordinate of the position to place the pixbuf
- Property
  2.24.0.0
  GLib.Property("x_in_pixels")
  System.Boolean The unit used by the property The unit used by the property
- Property
  2.24.0.0
  GLib.Property("y")
  System.Double The Y coordinate of the position to place the pixbuf The Y coordinate of the position to place the pixbuf
- Property
  2.24.0.0
  GLib.Property("y_in_pixels")
  System.Boolean The unit used by the property The unit used by the property